Project/src/model/User.java
package model;

//ルール
import java.io.Serializable;
import java.text.SimpleDateFormat;
import java.util.Date;

//ルール
public class User implements Serializable{
	private int id;
	private String loginId;
	private String name;
	private Date birthDate;
	private String password;
	private String createDate;
	private String updateDate;

	public User() {

	}


	// ログインセッションを保存するためのコンストラクタ
	public User(String loginId, String name) {
		this.loginId = loginId;
		this.name = name;
	}


	//パスワード暗号化のためのコンストラクタ
	public User(String password) {
		this.password = password;
	}


	// 全てのデータをセットするコンストラクタ
		public User(int id, String loginId, String name, Date birthDate, String password, String createDate,
				String updateDate) {
			this.id = id;
			this.loginId = loginId;
			this.name = name;
			this.birthDate = birthDate;
			this.password = password;
			this.createDate = createDate;
			this.updateDate = updateDate;
		}
		public int getId() {
			return id;
		}
		public void setId(int id) {
			this.id = id;
		}
		public String getLoginId() {
			return loginId;
		}
		public void setLoginId(String loginId) {
			this.loginId = loginId;
		}
		public String getName() {
			return name;
		}
		public void setName(String name) {
			this.name = name;
		}
		public Date getBirthDate() {
			return birthDate;
		}

		public String getBirthDateStr() {
			String str = new SimpleDateFormat("yyyy-MM-dd").format(birthDate);
			return str;
		}
		public void setBirthDate(Date birthDate) {
			this.birthDate = birthDate;
		}
		public String getPassword() {
			return password;
		}
		public void setPassword(String password) {
			this.password = password;
		}
		public String getCreateDate() {
			return createDate;
		}
		public void setCreateDate(String createDate) {
			this.createDate = createDate;
		}
		public String getUpdateDate() {
			return updateDate;
		}
		public void setUpdateDate(String updateDate) {
			this.updateDate = updateDate;
		}


}

Project/src/controller/AddServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.UserDao;

@WebServlet("/AddServlet")
public class AddServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

	/**
	 * @see HttpServlet#HttpServlet()
	 */
	public AddServlet() {
		super();
		// TODO Auto-generated constructor stub
	}

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {
		// TODO Auto-generated method stub

		HttpSession session = request.getSession();
		if(session.getAttribute("userInfo")==null) {
			response.sendRedirect("LoginServlet");
			return;
		}


		//フォワード
				RequestDispatcher dispatcher=request.getRequestDispatcher("/WEB-INF/jsp/add.jsp");
				dispatcher.forward(request, response);

	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response)
			throws ServletException, IOException {

		//登録 のリクエストパラメータの取得
		request.setCharacterEncoding("UTF-8");

		String formLoginId = request.getParameter("formLoginId");
		String pass = request.getParameter("password1");
		String pass2 = request.getParameter("password2");
		String name = request.getParameter("userName");
		String birth = request.getParameter("birth");

		//判定用のメソッド
		UserDao userDao=new UserDao();
		boolean isNoSelectUserData=userDao.IdJudge(formLoginId);

		 //登録失敗時
		 if (!pass.equals(pass2)||formLoginId.equals("")||pass.equals("")||pass2.equals("")||
				 name.equals("")||birth.equals("")||!isNoSelectUserData) {
			    request.setAttribute("formLoginId",formLoginId);
			    request.setAttribute("name",name);
			    request.setAttribute("birth",birth);
			 // リクエストスコープにエラーメッセージをセット
				request.setAttribute("errMsg2","入力された内容は正しくありません");

		 //フォワード
		 RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/add.jsp");
			dispatcher.forward(request, response);
			return;
		 }

		 //成功時
		 userDao.addUser(formLoginId, pass, name, birth);
		userDao.stragePassword(pass);
		 //確認用
		 System.out.println();
		// System.out.println(user);
		// ユーザ一覧のサーブレットにリダイレクト
		 response.sendRedirect("UserListServlet");


	}
}

Project/src/controller/LoginServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.UserDao;
import model.User;

/**
 * Servlet implementation class LoginServlet
 */
@WebServlet("/LoginServlet")
public class LoginServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public LoginServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub

		HttpSession session = request.getSession();
		if(session.getAttribute("userInfo")!=null) {
			response.sendRedirect("UserListServlet");
			return;
		}
		//フォワード
		RequestDispatcher dispatcher=request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
		dispatcher.forward(request, response);






	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub

		//リクエストパラメータの取得
		request.setCharacterEncoding("UTF-8");

		String id=request.getParameter("loginId");
		String pass=request.getParameter("password");

		//リクエストパラメータの入力項目を引数に渡して、Daoメソッドを実行
		UserDao userDao=new UserDao();
		User user=userDao.findByLoginInfo(id, pass);

		/** テーブルに該当のデータが見つからなかった場合 **/
		if (user == null) {
			// リクエストスコープにエラーメッセージをセット
			request.setAttribute("errMsg","ログインIDまたはパスワードが異なります");

			// ログインjspにフォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/login.jsp");
			dispatcher.forward(request, response);
			return;
		}

		/** テーブルに該当のデータが見つかった場合 **/
		// セッションにユーザの情報をセット
		HttpSession session = request.getSession();
		session.setAttribute("userInfo", user);

		// ユーザ一覧のサーブレットにリダイレクト
		response.sendRedirect("UserListServlet");








	}

}

Project/src/controller/ReferenceServlet.java
package controller;
import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.UserDao;
import model.User;

/**
 * Servlet implementation class ReferenceServlet
 */
@WebServlet("/ReferenceServlet")
public class ReferenceServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public ReferenceServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub

		HttpSession session = request.getSession();
		if(session.getAttribute("userInfo")==null) {
			response.sendRedirect("LoginServlet");
			return;
		}


		//GET
		String id = request.getParameter("id");


		// TODO  未実装：idを引数にして、idに紐づくユーザ情報を出力する
		UserDao userDao = new UserDao();
		User user=userDao. ShowUserDetail(id);


		// TODO  未実装：ユーザ情報をリクエストスコープにセットしてjspにフォワード
		request.setAttribute("user",user);
		RequestDispatcher dispatcher2 = request.getRequestDispatcher("/WEB-INF/jsp/reference.jsp");
		dispatcher2.forward(request, response);

	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub


	}

}

Project/src/controller/RemoveServlet.java
package controller;

import java.io.IOException;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.UserDao;
import model.User;

/**
 * Servlet implementation class RemoveServlet
 */
@WebServlet("/RemoveServlet")
public class RemoveServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public RemoveServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub

		HttpSession session = request.getSession();
		if(session.getAttribute("userInfo")==null) {
			response.sendRedirect("LoginServlet");
			return;
		}


		//GETアクセス後idパラメータの取得
		String id=request.getParameter("id");

		UserDao userDao = new UserDao();
		User user=userDao. ShowUserDetail(id);

		request.setAttribute("user",user);


		//フォワード
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/remove.jsp");
		dispatcher.forward(request, response);




	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub

		//パラメータの取得
		request.setCharacterEncoding("UTF-8");
		String id = request.getParameter("id");

		UserDao userDao = new UserDao();
		userDao. UserRemoveConf(id);


		//ユーザ一覧のサーブレットにリダイレクト
		response.sendRedirect("UserListServlet");




	}

}

Project/src/controller/UpdateServlet.java
package controller;

import java.io.IOException;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Date;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UpdateServlet
 */
@WebServlet("/UpdateServlet")
public class UpdateServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public UpdateServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub

		HttpSession session = request.getSession();
		if(session.getAttribute("userInfo")==null) {
			response.sendRedirect("LoginServlet");
			return;
		}

		//GET
		String id = request.getParameter("id");



		// TODO  未実装：idを引数にして、idに紐づくユーザ情報を出力する
		UserDao userDao = new UserDao();
		User user=userDao. ShowUserDetail(id);

		request.setAttribute("user",user);


		//フォワード
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/update.jsp");
		dispatcher.forward(request, response);

	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub
		//パラメータの取得
		request.setCharacterEncoding("UTF-8");
		String id = request.getParameter("id");
		String loginId = request.getParameter("loginId");
		String pass = request.getParameter("password1");
		String pass2 = request.getParameter("password2");
		String name = request.getParameter("userName");
		String birth = request.getParameter("birth");



		/** 更新失敗時 **/
		if (!pass.equals(pass2)||name.equals("")||birth.equals("")) {

			Date dateBirth = null;
			 SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
			 	try {
			 		 dateBirth = sdf.parse(birth);
			 		request.setAttribute("birthDay",dateBirth);

			 	} catch (ParseException e) {
		            e.printStackTrace();
			 	}

			 	int idind = Integer.parseInt(id);

			User user=new User(idind, loginId, name, dateBirth, null, null, null);

			request.setAttribute("user",user);

			// リクエストスコープにエラーメッセージをセット
			request.setAttribute("errMsg3","入力された内容は正しくありません");

			// 更新jspにフォワード
			RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/update.jsp");
			dispatcher.forward(request, response);
			return;

		} else if(pass.equals("")&&pass2.equals("")) {

			UserDao userDao = new UserDao();
			userDao.UpdateOtherThanPass(id,name,birth);

			response.sendRedirect("UserListServlet");

			/** 成功時 **/
		}else{
			UserDao userDao = new UserDao();
			userDao.UserUpdate(id, pass,name,birth);

		// ユーザ一覧のサーブレットにリダイレクト
			response.sendRedirect("UserListServlet");
		}

	}

}

Project/src/controller/UserListServlet.java
package controller;

import java.io.IOException;
import java.util.List;

import javax.servlet.RequestDispatcher;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import dao.UserDao;
import model.User;

/**
 * Servlet implementation class UserListServlet
 */
@WebServlet("/UserListServlet")
public class UserListServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;

    /**
     * @see HttpServlet#HttpServlet()
     */
    public UserListServlet() {
        super();
        // TODO Auto-generated constructor stub
    }

	/**
	 * @see HttpServlet#doGet(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub

		HttpSession session = request.getSession();
		if(session.getAttribute("userInfo")==null) {
			response.sendRedirect("LoginServlet");
			return;
		}

		// ユーザ一覧情報を取得
		UserDao userDao = new UserDao();
		List<User> userList = userDao.findAll();

		// リクエストスコープにユーザ一覧情報をセット
		request.setAttribute("userList", userList);

		// ユーザ一覧のjspにフォワード
		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userList.jsp");
		dispatcher.forward(request, response);
	}

	/**
	 * @see HttpServlet#doPost(HttpServletRequest request, HttpServletResponse response)
	 */
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// TODO Auto-generated method stub

		//検索
		//リクエストパラメータの取得
		request.setCharacterEncoding("UTF-8");
		String id=request.getParameter("loginId");
		String name=request.getParameter("userName");
		String birth1=request.getParameter("calendar1");
		String birth2=request.getParameter("calendar2");

		UserDao userDao=new UserDao();
		List<User> userList = userDao.findSerch(id,name,birth1,birth2);

		request.setAttribute("userList", userList);

		RequestDispatcher dispatcher = request.getRequestDispatcher("/WEB-INF/jsp/userList.jsp");
		dispatcher.forward(request, response);
	}

}

Project/WebContent/WEB-INF/jsp/add.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
 <title>ユーザリスト</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

</head>
<body>
<div class="container">
  	<div class="row text-right">
 	<div class="col p-2 mb-2 bg-secondary text-white">ユーザ名 ${sessionScope.userInfo.name} さん
 	<a href="LogoutServlet" class="text-danger">ログアウト</a></div>
 	</div>
	<br>
    <div class="text-center"><h1>ユーザ新規登録</h1></div>
    <c:if test="${errMsg2 != null}" >
    <div class="col text-danger">
	${errMsg2}</div></c:if>
    <br>
    <br>
<form action="AddServlet" method="post">
	<div class="row">
    <div class="col">ログインID</div>
    <div class="col">
      <input type="text" class="form-control" name="formLoginId" value="${formLoginId}">
    </div></div>
    <p></p>
	<div class="row">
    <div class="col">パスワード</div>
    <div class="col">
     <input type="password" class="form-control" name="password1">
     </div></div>
	<p></p>
	<div class="row">
    <div class="col">パスワード(確認)</div>
    <div class="col">
     <input type="password" class="form-control" name="password2">
     </div></div>
     <p></p>
     <div class="row">
    <div class="col">ユーザ名</div>
    <div class="col">
      <input type="text" class="form-control" name="userName" value="${name}">
    </div></div>
    <p></p>
     <div class="row">
    <div class="col">生年月日</div>
    <div class="col">
      <input type="date" class="form-control" name="birth" value="${birth}">
    </div></div>
    <p></p>
  	<br>
    <br>
	<p class="text-center"><input type="submit" class="col-2" value="登録"></p>
</form>
	<p class="text-left"><a href="UserListServlet">戻る</a></p>
</div>
</body>


</html>

Project/WebContent/WEB-INF/jsp/login.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html">
<html>
<head>
<meta charset="UTF-8">
 <title>ユーザリスト</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

</head>
<body>
<div class="container">
    <br>
    <br>
    <div class="text-center"><h1>ログイン画面</h1></div>
	<c:if test="${errMsg != null}" >
	<div class="col text-danger">
	${errMsg}</div></c:if>
    <br>
    <br>
    <br>
    <br>
    <br>

<%--LoginServlet.javaクラスへリクエストパラメータをPOSTリクエストする処理 --%>
 <form action="/UserManagement/LoginServlet" method="post">

    <div class="row">
    <div class="col-sm-2"></div>
    <div class="col-sm-3">ログインID</div>
    <div class="col-sm-5"><input type="text" class="form-control" name="loginId"></div>
    <div class="col-sm-2"></div>
  </div>
    <br>
 	<div class="row">
 	<div class="col-sm-2"></div>
    <div class="col-sm-3">パスワード</div>
    <div class="col-sm-5"><input type="password" class="form-control" name="password"></div>
    <div class="col-sm-2"></div>
  </div>
    <br>
    <br>
    <br>
  <p class="text-center"><input type="submit" class="col-2" value="ログイン"></p>
</form>
</div>
</body>
</html>

Project/WebContent/WEB-INF/jsp/reference.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
 <title>ユーザリスト</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>
<body>
<div class="container">
	<div class="row text-right">
	<div class="col p-2 mb-2 bg-secondary text-white">ユーザ名 ${sessionScope.userInfo.name} さん
    <a href="LogoutServlet" class="text-danger">ログアウト</a></div>
    </div>
	<br>
    <div class="text-center"><h1>ユーザ情報詳細参照</h1></div>
    <br>
    <br>
<form>
	<div class="row">
    <div class="col">ログインID</div>
    <div class="col"><input type="text" readonly class="form-control-plaintext" id="loginId">${user.loginId}
    </div></div>
     <p></p>
    <div class="row">
    <div class="col">ユーザ名</div>
    <div class="col"><input type="text" readonly class="form-control-plaintext" id="userName">${user.name}
    </div></div>
    <p></p>
    <div class="row">
    <div class="col">生年月日</div>
    <div class="col"><input type="text" readonly class="form-control-plaintext" id="birth">${user.birthDate}
    </div></div>
    <p></p>
    <div class="row">
    <div class="col">登録日時</div>
    <div class="col"><input type="text" readonly class="form-control-plaintext" id="addDate">${user.createDate}
    </div></div>
    <p></p>
    <div class="row">
    <div class="col">更新日時</div>
    <div class="col"><input type="text" readonly class="form-control-plaintext" id="upDate">${user.updateDate}
    </div></div>
  	<br>
    <br>
</form>
	<p class="text-left"><a href="UserListServlet">戻る</a></p>
</div>
</body>
</html>

Project/WebContent/WEB-INF/jsp/remove.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
 <title>ユーザリスト</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>
<body>
<div class="container">
	<div class="row text-right">
	<div class="col p-2 mb-2 bg-secondary text-white">ユーザ名 ${sessionScope.userInfo.name} さん
    <a href="LogoutServlet" class="text-danger">ログアウト</a></div>
    </div>
	<br>
    <div class="text-center"><h1>ユーザ削除確認</h1></div>
    <br>
	<div class="row">
    <div class="col">ログインID： ${user.loginId}</div>
    </div>
    を本当に削除してもよろしいでしょうか。
	<br>
	<br>
	<br>
	<br>
	<br>
	<div class="row">
	<div class="col text-center">
	<a href="UserListServlet"><input type="submit" class="col-4" value="キャンセル"></a></div>
	<div class="col text-center">
	<form action="RemoveServlet" method="post">
	<input type="hidden" name="id" value="${user.id}">
	<input type="submit" class="col-4" value="OK"></form></div>
	</div>

</div>
</body>
</html>

Project/WebContent/WEB-INF/jsp/update.jsp
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
  <title>ユーザリスト</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">

</head>
<body>
<div class="container">
 	<div class="row text-right">
	<div class="col p-2 mb-2 bg-secondary text-white">ユーザ名 ${sessionScope.userInfo.name} さん
    <a href="LogoutServlet" class="text-danger">ログアウト</a></div>
    </div>
	<br>
    <div class="text-center"><h1>ユーザ情報更新</h1></div>
    <c:if test="${errMsg3 != null}" >
    <div class="col text-danger">
	${errMsg3}</div></c:if>
    <br>
    <br>
<form action="UpdateServlet" method="post">
	<input type="hidden" name="id" value="${user.id}">
	<div class="row">
    <div class="col">ログインID</div>
    <div class="col"><input type="text" readonly class="form-control-plaintext" name="loginId" value="${user.loginId}">
    </div></div>
    <p></p>
	<div class="row">
    <div class="col">パスワード</div>
    <div class="col"><input type="password" class="form-control" name="password1">
    </div></div>
	<p></p>
	<div class="row">
    <div class="col">パスワード(確認)</div>
    <div class="col"><input type="password" class="form-control" name="password2">
    </div></div>
    <p></p>
    <div class="row">
    <div class="col">ユーザ名</div>
    <div class="col"><input type="text" class="form-control" name="userName" value="${user.name}">
    </div></div>
    <p></p>
    <div class="row">
    <div class="col">生年月日</div>
    <div class="col"><input type="text" class="form-control" name="birth" value="${user.birthDateStr}">

    </div></div>
    <p></p>
  	<br>
    <br>
	<p class="text-center"><input type="submit" class="col-2" value="更新"></p>
</form>
	<p class="text-left"><a href="UserListServlet">戻る</a></p>
</div>
</body>
</html>